#version 330

uniform  sampler2DRect inputTex0;
uniform sampler2DRect inputTexMask;

in vec2 fsTexture;
in vec2 fsTextureMask;
out vec4 outColor;

void main()
{
    outColor=texture(inputTex0, fsTexture).rgba;
#ifdef USE_MASK
	outColor.a*=texture(inputTexMask,fsTextureMask).a;
	outColor.rgb*=outColor.a;
#endif
}
